Subject: message id 0

From: "Kurt D. Zeilenga" <[email-masked]>
Date: Sat, 04 Dec 1999 15:12:05 -0800

I believe MessageId 0 (zero) should be reserved for unsoliticed
notifications.  That is, clients should not use zero as a Request
MessageId.  In particular, a client should not use zero as an
ExtendedRequest MessageId or a SearchRequest MessageId as doing
so makes distinguishing ExtendedResponses associated with such
requests from unsoliticed notifications difficult.

I believe it wise to state in all draft LDAP API specs state
that implementations must not assign message id to requests
they generate.  The API implementation is likely not aware of
which extended response OIDs identify unsolicited notifications,
and, in general, must rely on the message id to identify which
responses are unsolicited.  Otherwise they have to track the
OID of each outstanding extendedResponse to ensure they don't
confuse an unsolicited notification as a response to the request.

	Kurt